import { myRequest } from "../request.js";
export default {
  //获取支付回调凭证
  wxCallback(data) {
    return myRequest({
      url: "/wx/pay/callback",
      method: "post",
      data: data,
    });
  },
  //获取支付凭证
  wxPayment(data) {
    return myRequest({
      url: "/wx/pay/payment",
      method: "post",
      data: data,
    });
  },
  wxOpenid(data) {
    return myRequest({
      url: "/wx/getOpenid",
      method: "post",
      data: data,
    });
  },
  checkBindGzh(data) {
    return myRequest({
      url: "/app/user/checkBindGzh",
      method: "get",
      data: data,
    });
  },
  OfficialLogin(data) {
    return myRequest({
      url: "/app/user/gzh_bind",
      method: "post",
      data: data,
    });
  },
  // 获取公众号openid
  getH5Openid(data) {
    return myRequest({
      url: "/app/common/wx/gzh_bind",
      method: "post",
      noToken: true,
      data: data,
    });
  },
  // 获取小程序openid
  getWxOpenid(data) {
    return myRequest({
      url: "/app/common/wx/exam/getOpenid",
      method: "post",
      noToken: true,
      data: data,
    });
  },
  // 检查账号是否绑定该openid
  checkBindOpenId(data) {
    return myRequest({
      url: "/app/user/checkBindOpenId",
      method: "post",
      data: data,
    });
  },
  // 小程序openId登录
  openIdLogin(data) {
    return myRequest({
      url: "/app/common/openIdLogin",
      method: "post",
      noToken: true,
      data: data,
    });
  },
};
